%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-i128
Version: 1.3.0
Release: alt1.M41.1
Serial: 1
Summary: Number 9 I128 video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-i128 = %serial:%version-%release
Obsoletes: xorg-x11-drv-i128

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

ExclusiveArch: %ix86

%description
i128  is  an Xorg driver for Number 9 I128 video cards.  The
driver is accelerated and provides support for all versions of the I128
chip  family,  including  the  SGI flatpanel configuration.  Multi-head
configurations are supported.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-i128.xinf %buildroot%_hwdatadir/i128.xinf
install -pD -m644 11-x11-video-i128.fdi %buildroot%_fdidir/11-x11-video-i128.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-i128.fdi
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1.M41.1
- build for branch 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt2
- renamed xorg-x11-drv-i128 to xorg-drv-i128
- added requires XORG_ABI_VIDEODRV = 2.0
- converted xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt2
- rebuild with xorg-server-1.4

* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- added videoaliases file from RH

* Sat Nov 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.6-alt1
- 1.0.6

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.2-alt0.1
- initial release

